Account
Generate new Bitcoin address
POST
/account/address/bitcoinPrivateGenerates a new, unused Bitcoin address. If no format is provided, the address will be generated in the format specified in the user's settings.
Permissions: account:deposits:write
application/json- body
format?stringThe format of the address
Value in
"p2wpkh""p2tr"OK
application/json- response
address*stringThe generated Bitcoin address
createdAt*stringThe creation time of the address
Format
date-timeimport { createHttpClient } from '@ln-markets/sdk/rest/v3'const client = createHttpClient({ key: 'your-key', secret: 'your-secret', passphrase: 'your-passphrase',})const result = await client.account.addBitcoinAddress({}){ "address": "bc1q...", "createdAt": "2026-09-12T10:28:26.638Z"}